MAV_clipPlane(3)

NAME
MAV_clipPlane - Clip plane.

LEVEL
Maverik Level 2

SYNTAX

 typedef struct {
  MAV_vector norm;
  float d;
} MAV_clipPlane;

DESCRIPTION
A MAV_clipPlane is used to define a clipping plane, and consists of the plane normal, norm, and a value, d, which satisfies the equation d = norm.pt, where pt is any point on the plane.

The positive half space of the clipping plane defines which objects are to be removed from consideration.